X2Go Bug report logs - #103
Fwd: [PATCH] x2gopath: make use of this helper

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 16 Jan 2013 23:48:01 UTC

Severity: normal

Tags: patch, pending

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#103; Package x2goserver. (Wed, 16 Jan 2013 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 16 Jan 2013 23:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Fwd: [PATCH] x2gopath: make use of this helper
Date: Thu, 17 Jan 2013 00:46:18 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Tag: patch

Before I forget to commit this patch, here it is in X2Go BTS...

Mike

----- Weitergeleitete Nachricht von jengelh@inai.de -----
     Datum: Wed,  9 Jan 2013 14:51:11 +0100
       Von: Jan Engelhardt <jengelh@inai.de>
   Betreff: [PATCH] x2gopath: make use of this helper
        An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
        Cc: x2go-dev@lists.berlios.de

Note that .pm Perl modules must be placed in an arch-specific
directory (e.g. /usr/lib64/... rather than /usr/libexec/...) since
they could possibly entail XS modules.
---
 x2goserver-printing/bin/x2goprint     |    2 +-
 x2goserver/bin/x2gogetapps            |    2 +-
 x2goserver/bin/x2gogetservers         |    2 +-
 x2goserver/bin/x2golistdesktops       |    2 +-
 x2goserver/bin/x2golistmounts         |    2 +-
 x2goserver/bin/x2golistsessions       |    2 +-
 x2goserver/bin/x2gomountdirs          |    2 +-
 x2goserver/bin/x2gosessionlimit       |    2 +-
 x2goserver/bin/x2goshowblocks         |    2 +-
 x2goserver/bin/x2goumount-session     |    2 +-
 x2goserver/lib/x2gochangestatus       |    2 +-
 x2goserver/lib/x2gocreatesession      |    2 +-
 x2goserver/lib/x2godbwrapper.pm       |    4 ++--
 x2goserver/lib/x2gogetagent           |    2 +-
 x2goserver/lib/x2gogetdisplays        |    2 +-
 x2goserver/lib/x2gogetports           |    2 +-
 x2goserver/lib/x2gogetstatus          |    2 +-
 x2goserver/lib/x2goinsertport         |    2 +-
 x2goserver/lib/x2goinsertsession      |    2 +-
 x2goserver/lib/x2golistsessions_sql   |    2 +-
 x2goserver/lib/x2gologlevel           |    2 +-
 x2goserver/lib/x2goresume             |    2 +-
 x2goserver/lib/x2gormport             |    2 +-
 x2goserver/lib/x2gosuspend-agent      |    2 +-
 x2goserver/lib/x2gosyslog             |    2 +-
 x2goserver/sbin/x2godbadmin           |    2 +-
 x2goserver/sbin/x2golistsessions_root |    2 +-
 27 files changed, 28 insertions(+), 28 deletions(-)

diff --git a/x2goserver-printing/bin/x2goprint  
b/x2goserver-printing/bin/x2goprint
index e3f3f8f..b5739c8 100755
--- a/x2goserver-printing/bin/x2goprint
+++ b/x2goserver-printing/bin/x2goprint
@@ -26,7 +26,7 @@ use File::Copy;
 use File::Path;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/bin/x2gogetapps b/x2goserver/bin/x2gogetapps
index dbcd8c1..48bf865 100755
--- a/x2goserver/bin/x2gogetapps
+++ b/x2goserver/bin/x2gogetapps
@@ -24,7 +24,7 @@ use strict;
 use Sys::Syslog qw( :standard :macros );
 use MIME::Base64 qw(encode_base64);

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 my @iconext=("png","svg","jpeg","jpg","xpm","bmp");
diff --git a/x2goserver/bin/x2gogetservers b/x2goserver/bin/x2gogetservers
index d34cc98..cafc2fe 100755
--- a/x2goserver/bin/x2gogetservers
+++ b/x2goserver/bin/x2gogetservers
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/bin/x2golistdesktops b/x2goserver/bin/x2golistdesktops
index acdd7c4..71a15b0 100755
--- a/x2goserver/bin/x2golistdesktops
+++ b/x2goserver/bin/x2golistdesktops
@@ -24,7 +24,7 @@ use strict;
 use Sys::Hostname;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 openlog($0,'cons,pid','user');
diff --git a/x2goserver/bin/x2golistmounts b/x2goserver/bin/x2golistmounts
index ade0c67..879ca61 100755
--- a/x2goserver/bin/x2golistmounts
+++ b/x2goserver/bin/x2golistmounts
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/bin/x2golistsessions b/x2goserver/bin/x2golistsessions
index e4421b3..eb24196 100755
--- a/x2goserver/bin/x2golistsessions
+++ b/x2goserver/bin/x2golistsessions
@@ -24,7 +24,7 @@ use strict;
 use Sys::Hostname;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/bin/x2gomountdirs b/x2goserver/bin/x2gomountdirs
index ef7f139..d151255 100755
--- a/x2goserver/bin/x2gomountdirs
+++ b/x2goserver/bin/x2gomountdirs
@@ -24,7 +24,7 @@ use strict;
 use Sys::Syslog qw( :standard :macros );
 use File::BaseDir qw( xdg_config_home );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/bin/x2gosessionlimit b/x2goserver/bin/x2gosessionlimit
index 91f747b..bae41f7 100755
--- a/x2goserver/bin/x2gosessionlimit
+++ b/x2goserver/bin/x2gosessionlimit
@@ -24,7 +24,7 @@ use strict;
 use Config::Simple;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 openlog($0,'cons,pid','user');
diff --git a/x2goserver/bin/x2goshowblocks b/x2goserver/bin/x2goshowblocks
index f253a73..46dd6d0 100755
--- a/x2goserver/bin/x2goshowblocks
+++ b/x2goserver/bin/x2goshowblocks
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/bin/x2goumount-session  
b/x2goserver/bin/x2goumount-session
index 33ffc01..2d10c26 100755
--- a/x2goserver/bin/x2goumount-session
+++ b/x2goserver/bin/x2goumount-session
@@ -25,7 +25,7 @@ use Sys::Hostname;
 use Sys::Syslog qw( :standard :macros );
 use File::BaseDir qw( xdg_config_home );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gochangestatus b/x2goserver/lib/x2gochangestatus
index ce33520..5cd1981 100755
--- a/x2goserver/lib/x2gochangestatus
+++ b/x2goserver/lib/x2gochangestatus
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gocreatesession  
b/x2goserver/lib/x2gocreatesession
index ceb62a9..6f81e5f 100755
--- a/x2goserver/lib/x2gocreatesession
+++ b/x2goserver/lib/x2gocreatesession
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2godbwrapper.pm b/x2goserver/lib/x2godbwrapper.pm
index f290b71..e6bcb48 100644
--- a/x2goserver/lib/x2godbwrapper.pm
+++ b/x2goserver/lib/x2godbwrapper.pm
@@ -26,8 +26,8 @@ use DBI;
 use POSIX;
 use Sys::Syslog qw( :standard :macros );

-my $x2go_lib_path=`echo -n \$(x2gobasepath)/lib/x2go`;
-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+my $x2go_lib_path = `x2gopath libexec`;
+use lib `x2gopath lib`;
 use x2gologlevel;


diff --git a/x2goserver/lib/x2gogetagent b/x2goserver/lib/x2gogetagent
index 897d75e..d7f5e92 100755
--- a/x2goserver/lib/x2gogetagent
+++ b/x2goserver/lib/x2gogetagent
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gogetdisplays b/x2goserver/lib/x2gogetdisplays
index db29b5c..28474db 100755
--- a/x2goserver/lib/x2gogetdisplays
+++ b/x2goserver/lib/x2gogetdisplays
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gogetports b/x2goserver/lib/x2gogetports
index b269800..02d6639 100755
--- a/x2goserver/lib/x2gogetports
+++ b/x2goserver/lib/x2gogetports
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gogetstatus b/x2goserver/lib/x2gogetstatus
index d2271a4..0fe5a63 100755
--- a/x2goserver/lib/x2gogetstatus
+++ b/x2goserver/lib/x2gogetstatus
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2goinsertport b/x2goserver/lib/x2goinsertport
index bc18d96..9eea344 100755
--- a/x2goserver/lib/x2goinsertport
+++ b/x2goserver/lib/x2goinsertport
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2goinsertsession  
b/x2goserver/lib/x2goinsertsession
index 372208b..2cf3086 100755
--- a/x2goserver/lib/x2goinsertsession
+++ b/x2goserver/lib/x2goinsertsession
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2golistsessions_sql  
b/x2goserver/lib/x2golistsessions_sql
index 6563705..2957437 100755
--- a/x2goserver/lib/x2golistsessions_sql
+++ b/x2goserver/lib/x2golistsessions_sql
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gologlevel b/x2goserver/lib/x2gologlevel
index 9269097..5914448 100755
--- a/x2goserver/lib/x2gologlevel
+++ b/x2goserver/lib/x2gologlevel
@@ -22,7 +22,7 @@

 use strict;

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 print x2gologlevel();
diff --git a/x2goserver/lib/x2goresume b/x2goserver/lib/x2goresume
index 7391cd3..a5da249 100755
--- a/x2goserver/lib/x2goresume
+++ b/x2goserver/lib/x2goresume
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gormport b/x2goserver/lib/x2gormport
index 4ba632d..0ea101d 100755
--- a/x2goserver/lib/x2gormport
+++ b/x2goserver/lib/x2gormport
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2godbwrapper;
 use x2gologlevel;

diff --git a/x2goserver/lib/x2gosuspend-agent  
b/x2goserver/lib/x2gosuspend-agent
index 7000281..052ace6 100755
--- a/x2goserver/lib/x2gosuspend-agent
+++ b/x2goserver/lib/x2gosuspend-agent
@@ -23,7 +23,7 @@
 strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 openlog($0,'cons,pid','user');
diff --git a/x2goserver/lib/x2gosyslog b/x2goserver/lib/x2gosyslog
index c7650f7..704b9f1 100755
--- a/x2goserver/lib/x2gosyslog
+++ b/x2goserver/lib/x2gosyslog
@@ -23,7 +23,7 @@
 use strict;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 setlogmask( LOG_UPTO(x2gologlevel()) );
diff --git a/x2goserver/sbin/x2godbadmin b/x2goserver/sbin/x2godbadmin
index fc86ca8..b39c8cb 100755
--- a/x2goserver/sbin/x2godbadmin
+++ b/x2goserver/sbin/x2godbadmin
@@ -26,7 +26,7 @@ use Getopt::Long;
 use Config::Simple;
 use DBI;

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 openlog($0,'cons,pid','user');
diff --git a/x2goserver/sbin/x2golistsessions_root  
b/x2goserver/sbin/x2golistsessions_root
index dda2b31..a3b7ea6 100755
--- a/x2goserver/sbin/x2golistsessions_root
+++ b/x2goserver/sbin/x2golistsessions_root
@@ -23,7 +23,7 @@ use strict;
 use Sys::Hostname;
 use Sys::Syslog qw( :standard :macros );

-use lib `echo -n \$(x2gobasepath)/lib/x2go`;
+use lib `x2gopath lib`;
 use x2gologlevel;

 openlog($0,'cons,pid','user');
--
1.7.10.4



----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 25 Mar 2013 22:18:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#103; Package x2goserver. (Mon, 25 Mar 2013 22:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Mar 2013 22:33:01 GMT) Full text and rfc822 format available.

Message #12 received at 103@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 103@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#103: Fwd: [PATCH] x2gopath: make use of this helper
Date: Mon, 25 Mar 2013 23:29:06 +0100
[Message part 1 (text/plain, inline)]
tag #103 pending
thanks

On Do 17 Jan 2013 00:46:18 CET Mike Gabriel wrote:

> Package: x2goserver
> Tag: patch
>
> Before I forget to commit this patch, here it is in X2Go BTS...
>
> Mike
>
> ----- Weitergeleitete Nachricht von jengelh@inai.de -----
>      Datum: Wed,  9 Jan 2013 14:51:11 +0100
>        Von: Jan Engelhardt <jengelh@inai.de>
>    Betreff: [PATCH] x2gopath: make use of this helper
>         An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>         Cc: x2go-dev@lists.berlios.de
>
> Note that .pm Perl modules must be placed in an arch-specific
> directory (e.g. /usr/lib64/... rather than /usr/libexec/...) since
> they could possibly entail XS modules.
> ---
>  x2goserver-printing/bin/x2goprint     |    2 +-
>  x2goserver/bin/x2gogetapps            |    2 +-
>  x2goserver/bin/x2gogetservers         |    2 +-
>  x2goserver/bin/x2golistdesktops       |    2 +-
>  x2goserver/bin/x2golistmounts         |    2 +-
>  x2goserver/bin/x2golistsessions       |    2 +-
>  x2goserver/bin/x2gomountdirs          |    2 +-
>  x2goserver/bin/x2gosessionlimit       |    2 +-
>  x2goserver/bin/x2goshowblocks         |    2 +-
>  x2goserver/bin/x2goumount-session     |    2 +-
>  x2goserver/lib/x2gochangestatus       |    2 +-
>  x2goserver/lib/x2gocreatesession      |    2 +-
>  x2goserver/lib/x2godbwrapper.pm       |    4 ++--
>  x2goserver/lib/x2gogetagent           |    2 +-
>  x2goserver/lib/x2gogetdisplays        |    2 +-
>  x2goserver/lib/x2gogetports           |    2 +-
>  x2goserver/lib/x2gogetstatus          |    2 +-
>  x2goserver/lib/x2goinsertport         |    2 +-
>  x2goserver/lib/x2goinsertsession      |    2 +-
>  x2goserver/lib/x2golistsessions_sql   |    2 +-
>  x2goserver/lib/x2gologlevel           |    2 +-
>  x2goserver/lib/x2goresume             |    2 +-
>  x2goserver/lib/x2gormport             |    2 +-
>  x2goserver/lib/x2gosuspend-agent      |    2 +-
>  x2goserver/lib/x2gosyslog             |    2 +-
>  x2goserver/sbin/x2godbadmin           |    2 +-
>  x2goserver/sbin/x2golistsessions_root |    2 +-
>  27 files changed, 28 insertions(+), 28 deletions(-)
>
> [...]

This patch has been applied on the relase/4.0.0.x branch. For the  
master branch this patch is not needed.

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=44e6743519e92ca1c1520032f2c0b13d81780956

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 25 Mar 2013 22:33:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#103; Package x2goserver. (Sat, 18 May 2013 23:01:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 18 May 2013 23:01:17 GMT) Full text and rfc822 format available.

Message #19 received at 103@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 103-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 103@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 19 May 2013 00:55:39 +0200 (CEST)
close #103
thanks

Hello,

we are very hopeful that X2Go issue #103 reported by you
has been resolved in the new release (4.0.0.2) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.0.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=d035421386eb85627f23628e69e0c0b07ebb7c8c;hp=6a78a843e29b9169ed7e64735908f308eacd4951

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.2
Status: RELEASE
Date: Sun, 19 May 2013 00:54:34 +0200
Fixes: 103 149 163 200
Changes: 
 x2goserver (4.0.0.2) RELEASED; urgency=low
 .
   [ Matthew L. Dailey ]
   * New upstream version (4.0.0.2):
     - Do parse profile/xprofile files in X2Go's Xsession file. (Fixes: #149).
 .
   [ Jan Engelhardt ]
   * New upstream version (4.0.0.2):
     - Use x2gopath in Perl scripts to set the lib path. (Fixes: #103).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.0.2):
     - Use make_path from File::Path in x2godbadmin to create user directory if
       not present. (Fixes: #200).
     - Security fix for setgid wrapper x2gosqlitewrapper.c. Hard-code path to
       x2gosqlitewrapper.pl during build via defining a macro in the Makefile.
       Thanks to Richard Weinberger for spotting this!!!
   /debian/control:
     + Let x2goserver bin:package depend on xfonts-base and fontconfig. (Fixes:
       #163).
     + Create session log symlink after launching x2goagent. Fix order of target
       and symlink name when executing the command.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 May 2013 23:01:19 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 18 May 2013 23:01:19 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#103. (Sat, 18 May 2013 23:01:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 16 Jun 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Jul 20 22:10:21 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.